org.appng.taglib.form

## Class Form

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.appng.taglib.form.Form

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class Form
      extends javax.servlet.jsp.tagext.TagSupport

  This class represents a web Form.

  It must contain a `<appNG:formData>` and a `<appNG:formConfirmation>`.

  Usage:

       <appNG:form>
         <appNG:formData mode="not_submitted">
           <form action="" method="post" enctype="multipart/form-data" >
             <!-- <appNG:formElement>s go here -->
             <input type="submit" />
           </form>
         </appNG:formData>
         <appNG:formConfirmation application="appng-webutils" method="debugProvider" mode="submitted">
           <appNG:param name="foo">bar</appNG:param>
           <appNG:param name="jin">fizz</appNG:param>
         </appNG:formConfirmation>
       </appNG:form>

  As you can see, the `<appNG:formConfirmation>` can be parameterized using the syntax `<appNG:param name="name">value</appNG:param>`. For the value, you can access request parameters using the syntax `#[param]`, for example `<appNG:param name="receiver">#[email]</appNG:param>`.
  Author:
    Matthias Herlitzius
  See Also:
    `FormElement`, `FormGroup`, `FormConfirmation`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Form()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doAfterBody()`
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `String` | `getName()`
    `Form` | `getWrappedForm()`
    `boolean` | `hasName()`
    `void` | `setFormConfirmation(FormConfirmation formConfirmation)`
    `void` | `setFormData(FormData formData)`
    `void` | `setName(String name)`
    `void` | `setRestoreRequestData(Boolean restoreRequestData)`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Form

          public Form()

  - ### Method Detail

    - #### doAfterBody

          public int doAfterBody()
                          throws javax.servlet.jsp.JspException

      Specified by:
        `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
      Overrides:
        `doAfterBody` in class `javax.servlet.jsp.tagext.TagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### getWrappedForm

          public Form getWrappedForm()

    - #### setFormConfirmation

          public void setFormConfirmation(FormConfirmation formConfirmation)

    - #### setFormData

          public void setFormData(FormData formData)

    - #### setRestoreRequestData

          public void setRestoreRequestData(Boolean restoreRequestData)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### hasName

          public boolean hasName()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.